Update a rule tag owned by the active account.
curl --request PATCH \
--url https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"expected_revision": 2,
"category_slugs": [
"<string>"
],
"description": "<string>",
"enabled": true,
"name": "<string>"
}
'import requests
url = "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
payload = {
"expected_revision": 2,
"category_slugs": ["<string>"],
"description": "<string>",
"enabled": True,
"name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_revision: 2,
category_slugs: ['<string>'],
description: '<string>',
enabled: true,
name: '<string>'
})
};
fetch('https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
payload := strings.NewReader("{\n \"expected_revision\": 2,\n \"category_slugs\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"enabled\": true,\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tag": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"data_plane_ready": true,
"description": "<string>",
"enabled": true,
"locked": true,
"name": "<string>",
"normalized_name": "<string>",
"public": true,
"revision": 2,
"slug": "<string>",
"source_registered": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validity": "<string>",
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ttl_days": 32767
}
}Tags
Update a rule tag owned by the active account.
PATCH
https://api.infrawatch.com/api/v1
/
rules
/
tags
/
{tag_uuid}
Update a rule tag owned by the active account.
curl --request PATCH \
--url https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"expected_revision": 2,
"category_slugs": [
"<string>"
],
"description": "<string>",
"enabled": true,
"name": "<string>"
}
'import requests
url = "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
payload = {
"expected_revision": 2,
"category_slugs": ["<string>"],
"description": "<string>",
"enabled": True,
"name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expected_revision: 2,
category_slugs: ['<string>'],
description: '<string>',
enabled: true,
name: '<string>'
})
};
fetch('https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/rules/tags/{tag_uuid}"
payload := strings.NewReader("{\n \"expected_revision\": 2,\n \"category_slugs\": [\n \"<string>\"\n ],\n \"description\": \"<string>\",\n \"enabled\": true,\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tag": {
"category_slugs": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"data_plane_ready": true,
"description": "<string>",
"enabled": true,
"locked": true,
"name": "<string>",
"normalized_name": "<string>",
"public": true,
"revision": 2,
"slug": "<string>",
"source_registered": true,
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"validity": "<string>",
"individual_account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ttl_days": 32767
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Body
application/json
Required range:
x >= 1Maximum array length:
50Required string length:
1 - 100Pattern:
^[a-z0-9][a-z0-9-]{0,99}(/[a-z0-9][a-z0-9-]{0,99})*$Available options:
informational, benign, suspicious, malicious Maximum string length:
2000Required string length:
1 - 200Response
Updated tag.
Show child attributes
Show child attributes
⌘I